if status is-interactive
  fish_add_path -p $HOME/.local/bin

  if test -d /opt/nvim-linux64/bin
    fish_add_path -a /opt/nvim-linux64/bin
  end

  switch (whoami)
  # Corporate machine
  case Ivan_Golikov
    fish_add_path -p /usr/local/opt/libpq/bin
    fish_add_path -a /Users/Ivan_Golikov/Projects/Scripts/bin
    fish_add_path -a /Users/Ivan_Golikov/Library/Python/3.11/bin
  case kmqg099:
    fish_add_path -a /usr/local/opt/node@18/bin
  end

  abbr -a rootnvim sudo -Es nvim

  if fish_version_test (fzf --version | cut -d ' ' -f 1) -gt '0.48.0'
    fzf --fish | source
  else
    source /usr/share/doc/fzf/examples/key-bindings.fish
    fzf_key_bindings
  end

  # keeping this in the end
  zoxide init fish | source
end
